package org.klomp.eclipse.team.sftp;

import org.eclipse.core.runtime.IStatus;
import org.eclipse.core.runtime.Status;

import org.eclipse.team.core.TeamException;

public class SftpException extends TeamException {

    public SftpException(IStatus status) {
        super(status);
    }

    public SftpException(String message, Exception e) {
        super(message, e);
    }

    public SftpException(String message) {
        super(new Status(IStatus.ERROR, SftpPlugin.ID, UNABLE, message, null));
    }

    public SftpException(String message, int code) {
        this(new Status(IStatus.ERROR, SftpPlugin.ID, code, message, null));
    }
    
}
