package org.klomp.eclipse.team.sftp.util;

import java.io.IOException;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLStreamHandler;

import org.klomp.eclipse.team.sftp.target.SftpSite;

/**
 *
 */
public class SftpURLStreamHandler extends URLStreamHandler
{

    public SftpURLStreamHandler()
    {
    }

    protected URLConnection openConnection(URL u) throws IOException
    {
        throw new IOException("Not implemented, sftp urls are only for storing locations, not accessing them");
    }

    protected int getDefaultPort()
    {
        return SftpSite.DEFAULT_PORT;
    }

}
