package org.klomp.eclipse.team.sftp.target;

import java.io.ObjectInputStream;
import java.util.Properties;

import org.eclipse.team.internal.core.target.ISiteFactory;
import org.eclipse.team.internal.core.target.Site;

public class SftpSiteFactory implements ISiteFactory
{
    public final static String TARGET_TYPE = "org.klomp.eclipse.team.sftp"; //$NON-NLS-1$
    protected static final int CONFIG_FORMAT_VERSION = 2;

    public SftpSiteFactory()
    {
    }

    public Site newSite(ObjectInputStream is)
    {
        return new SftpSite(is);
    }

    public Site newSite(Properties properties)
    {
        return new SftpSite(properties);
    }

}
